Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class MappingTool.Flags

    java.lang.Object
      org.apache.openjpa.jdbc.meta.MappingTool.Flags

Enclosing class:
  MappingTool

    public static class MappingTool.Flags

extends Object

Run flags.

Field Summary
`String` | `action`
`boolean` | `dropSequences`
`boolean` | `dropTables`
`boolean` | `foreignKeys`
`boolean` | `ignoreErrors`
`boolean` | `indexes`
`Writer` | `mappingWriter`
`boolean` | `meta`
`File` | `metaDataFile`
`boolean` | `openjpaTables`
`boolean` | `primaryKeys`
`boolean` | `readSchema`
`String` | `schemaAction`
`Writer` | `schemaWriter`
`boolean` | `sequences`
`String` | `sqlTerminator`
`Writer` | `sqlWriter`

Constructor Summary
`MappingTool.Flags()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    public String action

### meta

    public boolean meta

### schemaAction

    public String schemaAction

### metaDataFile

    public File metaDataFile

### mappingWriter

    public Writer mappingWriter

### schemaWriter

    public Writer schemaWriter

### sqlWriter

    public Writer sqlWriter

### ignoreErrors

    public boolean ignoreErrors

### readSchema

    public boolean readSchema

### dropTables

    public boolean dropTables

### openjpaTables

    public boolean openjpaTables

### dropSequences

    public boolean dropSequences

### sequences

    public boolean sequences

### primaryKeys

    public boolean primaryKeys

### foreignKeys

    public boolean foreignKeys

### indexes

    public boolean indexes

### sqlTerminator

    public String sqlTerminator

Constructor Detail

### MappingTool.Flags

    public MappingTool.Flags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.